from sziszapangma.core.wer.distance_matrix_calculator import \
    CosineDistanceCalculator
from sziszapangma.core.wer.wer_calculator import WerCalculator
from sziszapangma.core.transformer.embedding_transformer import \
    EmbeddingTransformer


class WerSoftCalculator(WerCalculator):

    def __init__(self, embedding_transformer: EmbeddingTransformer):
        super().__init__(CosineDistanceCalculator(embedding_transformer))
